Search in stock logs for product in specified warehouse
Returns stock logs for a particular product in the specified warehouse.
Required permissions: WAREHOUSE_HISTORY
post/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock/{productUid}/logs/search
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+warehouseUidstringRequiredPattern:
Reference to a Warehouse.
^[A-Za-z0-9-_]+productUidstringRequiredPattern:
Reference to a Product.
^[A-Za-z0-9-_]+Query parameters
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
Body
fromDateTimestring · date-timeOptional
serialnumberstringOptional
tenantUserUidstringOptionalPattern:
^[A-Za-z0-9-_]+toDateTimestring · date-timeOptional
Responses
200
Example response
application/json
post/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock/{productUid}/logs/search
POST /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock/{productUid}/logs/search HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 128
{
"fromDateTime": "2026-01-01T00:00:00.000Z",
"serialnumber": "text",
"tenantUserUid": "text",
"toDateTime": "2026-01-01T00:00:00.000Z"
}200
Example response
{
"items": [
{
"costDelta": 1,
"costNew": 1,
"costOrigin": 1,
"costTransaction": 1,
"createdAt": "2026-01-01T00:00:00.000Z",
"quantityDelta": 1,
"quantityNew": 1,
"quantityNotAvailable": 1,
"quantityOrigin": 1,
"reference": 1,
"referenceDetails": {
"salesOrder": {
"orderNumber": "text",
"orderUid": "text",
"storeUid": "text",
"orderItemUid": "text"
},
"rmaOrder": {
"rmaNumber": "text",
"storeUid": "text",
"rmaOrderUid": "text",
"rmaOrderItemUid": "text"
},
"stocktaking": {
"name": "text",
"storeUid": "text",
"stocktakingUid": "text",
"stocktakingItemUid": "text"
},
"internalPurchaseOrder": {
"internalPurchaseNumber": "text",
"storeUid": "text",
"internalPurchaseOrderUid": "text",
"internalPurchaseOrderItemUid": "text"
},
"serviceOrder": {
"serviceOrderNumber": "text",
"storeUid": "text",
"serviceOrderUid": "text",
"serviceOrderItemUid": "text"
},
"receivement": {
"purchaseNumber": "text",
"storeUid": "text",
"purchaseOrderUid": "text",
"purchaseOrderItemUid": "text",
"receivementUid": "text",
"receivementItemUid": "text"
},
"responseType": "salesOrder"
},
"serialnumber": "text",
"tenantUserUid": "text",
"tenantUserName": "text",
"transactionType": "RECEIVE",
"saleCostPrice": 1
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}PreviousUpdate details for a product on a warehouse
NextMove stock for a product from one warehouse to another
Last updated
Was this helpful?

